<?php
declare(strict_types=1);

namespace FiloBlu\Esb\Core\Expression;

use Magento\Framework\DataObject;

/**
 * Class VariableExpander
 * @package FiloBlu\Esb\Core\Expression
 */
class VariableExpander implements VariableExpanderInterface
{
    /**
     * @param array|mixed|string|null $value
     * @param DataObject $data
     * @return array|mixed|string|null
     */
    public function expand($value, DataObject $data)
    {
        if (!is_string($value)) {
            return $value;
        }

        if ($value[0] !== '{') {
            return $value;
        }

        $key = trim($value, '{}');

        return $data->getDataByPath($key);
    }
}
